seed {XDE} | R Documentation

## Seed for the MCMC

### Description

Setting a seed is useful for reproducing MCMC chains

### Usage

    seed(object)
    seed(object) <- value

### Arguments

`object` | An object of `XdeParameter` or `XdeMcmc`
`value` | Numeric or integer

### Details

The seed stored in the slot of an object of class `XdeParameter` and an object of class `XdeMcmc` are useful in different ways. For the `XdeParameter` class, the seed indicates what seed was used to initialize an MCMC chain. By contrast, an object of class `XdeMcmc` contains a seed that would be useful for running additional iterations – the seed here is guaranteed to be different from the seed that was used to initiate the MCMC.

### Value

An integer

### Author(s)

R. Scharpf

[Package XDE version 1.2.0 Index]